# $Revision: 1.14 $, $Date: 2007-12-26 22:52:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Serializer
Summary:	Modules that serialize data structures
Summary(pl.UTF-8):	Moduły do serializacji struktur danych
Name:		perl-Data-Serializer
Version:	0.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9bdc9f3a4b50080734288712fdd08e55
URL:		http://search.cpan.org/dist/Data-Serializer/
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Config-General
BuildRequires:	perl-Data-Denter
#BuildRequires:	perl-Data-Taxi
BuildRequires:	perl-Digest-SHA
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-PHP-Serialization
BuildRequires:	perl-XML-Dumper
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-YAML-Syck
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a unified interface to the various serializing modules
currently available. Adds the functionality of both compression and
encryption.

%description -l pl.UTF-8
Dostarcza zunifikowany interfejs do różnych modułów serializacji
danych. Posiada wsparcie zarówno dla kompresji jak i szyfrowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/auto/Data/Serializer
%{perl_vendorlib}/Data/Serializer.pm
%{perl_vendorlib}/Data/Serializer
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Serializer.spec,v $
Revision 1.14  2007-12-26 22:52:00  zbyniu
- up to 0.43

Revision 1.13  2007-05-28 18:03:43  agaran
- up to 0.41, rel 1, builds here

Revision 1.12  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.10  2006/08/24 00:30:46  radek
- release 1, some BRs for tests, added *.al

Revision 1.9  2006/04/07 20:31:28  agaran
- up to 0.36 rel 0.1 need some tests (builds here but many unpackaged files)

Revision 1.8  2004/12/12 10:17:07  adamg
- updated to 0.28

Revision 1.7  2004/11/03 22:30:17  paladine
- formatting

Revision 1.6  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.5  2004/06/02 01:03:01  ankry
- removed bogus R: perl-Data-Dumper - it is perl-modules module

Revision 1.4  2004/06/02 00:59:55  ankry
- removed bogus R: perl-IO-File - it is perl-base module

Revision 1.3  2004/06/01 18:53:21  qboosh
- formatting

Revision 1.2  2004/06/01 17:59:16  adamg
- added BuildRequires
- fixed typos in pl description

Revision 1.1  2004/06/01 17:55:58  adamg
- new
